---
title: "Kunden-Details abrufen"
description: "Gibt Details eines bestimmten Kunden zurück."
---

`GET /api/customers/:customerPublicId`

`packageDisplayName` ist das konfigurierte Anzeigename-Label des zugewiesenen Organisations-Pakets. Es ist kein global normalisierter Enum und kann deshalb organisationsspezifische Namen wie `aquisition_test` enthalten.

## Antwort (Response)

```json
{
  "id": 101,
  "publicId": "6bfec6f6-245a-47ce-843b-157d97d56f88",
  "organizationId": 1,
  "name": "Kunde A GmbH",
  "email": "kontakt@kunde-a.de",
  "notificationPhoneNumber": "+491701234567",
  "notificationEmail": "alerts@kunde-a.de",
  "packageId": 3,
  "packageDisplayName": "Growth",
  "status": "active",
  "customFields": {
    "interneReferenz": "KD-999"
  },
  "monthlyReportsEnabled": true,
  "notificationChannels": null,
  "notificationTargets": null,
  "notificationRules": null,
  "smsUsageCurrentMonth": 0,
  "updatedAt": "2023-05-15T10:00:00Z",
  "createdAt": "2023-05-15T10:00:00Z"
}
```

## Häufige Fehler

- `400` Invalid Customer identifier
- `401` Unauthorized
- `403` Forbidden / Organization ID not found
- `404` Customer not found

